#!/bin/sh
Action=$1
OSD="Mgcamd_1.36_NewCS_1.70"

cam_clean () {
	rm -rf /tmp/camd.socket /tmp/mgstat.info /tmp/*mgcamd* /tmp/*mgshare* /tmp/pid.info /tmp/ecm.info /tmp/cardinfo /tmp/*newcs*
}

cam_up () {
	cam_clean
	sleep 10
	/usr/bin/cam/newcs.mips
	sleep 16
	/usr/bin/cam/mgcamd.mips
}

cam_down() {
        killall -9  newcs.mips
	killall -9  mgcamd.mips        	
	cam_clean
	sleep 8

}

if test "$Action" = "cam_up" ; then
	cam_up
elif test "$Action" = "cam_down" ; then
	cam_down
elif test "$Action" = "cam_res" ; then	
	cam_down
	cam_up
fi
exit 0








